## octave-tsa 3.10.6

=== DESCRIPTION ===
Name: TSA
Version: 3.10.6
Date: 2008-04-29
Author: Alois Schloegl <a.schloegl@ieee.org>
Maintainer: Alois Schloegl <a.schloegl@ieee.org>
Title: Time Series Analysis Toolbox 
Description: Stochastic concepts and maximum entropy methods for time series analysis
Depends: octave (>= 2.9.7) 
Depends: NaN (>= 1.0.0)
License: GPL version 2 or later
Url: http://www.dpmi.tu-graz.ac.at/~schloegl/matlab/tsa

## octave-tsa 4.0.1

=== DESCRIPTION ===
Name: TSA
Version: 4.0.1
Date: 2009-05-03
Author: Alois Schloegl <a.schloegl@ieee.org>
Maintainer: Alois Schloegl <a.schloegl@ieee.org>
Title: Time Series Analysis Toolbox 
Description: Stochastic concepts and maximum entropy methods for time series analysis
Depends: octave (>= 2.9.7) 
Depends: NaN (>= 1.0.0)
License: GPL version 3 or later
Url: http://hci.tugraz.at/~schloegl/matlab/tsa

## octave-tsa 4.1.0+svn20110501

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Name: TSA
-Version: 4.0.1
-Date: 2009-05-03
+Version: 4.1.0
+Date: 2009-09-08
 Author: Alois Schloegl <a.schloegl@ieee.org>
 Maintainer: Alois Schloegl <a.schloegl@ieee.org>
 Title: Time Series Analysis Toolbox

=== debian/changelog ===
octave-tsa (4.1.0+svn20110501-1) unstable; urgency=low

  * New upstream snapshot
  * debian/control:
    - Remove Rafael Laboissiere from Uploaders (Closes: #571873)
    - Remove Ólafur Jens Sigurðsson <ojsbug@gmail.com> from Uploaders
  * Switch to dpkg-source 3.0 (quilt) format
  * Bump standards version to 3.9.1, no changes needed

 -- Thomas Weber <tweber@debian.org>  Tue, 17 May 2011 21:57:56 +0200

octave-tsa (4.0.1-2) unstable; urgency=low

  [ Rafael Laboissiere ]
  * debian/control: Build-depend on octave-pkg-dev >= 0.7.0, such that the
    package is built against octave3.2

  [ Thomas Weber ]
  * Upload to unstable 
  * Use octave-tsa.docs for installation of documents, following the change
    in octave-pkg-dev 0.7.1. 
  * debian/check.m: Load nan package before running the tests 
    (closes: #564342)

 -- Thomas Weber <thomas.weber.mail@gmail.com>  Sun, 17 Jan 2010 16:57:03 +0100

octave-tsa (4.0.1-1) unstable; urgency=low

  * New upstream release
  * debian/copyright:
    + Use DEP5 URL in Format-Specification
    + Use separate License stanzas for instructing about the location of
      the different licenses used in the package

 -- Rafael Laboissiere <rafael@debian.org>  Mon, 25 May 2009 07:20:48 +0200

octave-tsa (4.0.0-2) unstable; urgency=low

  * debian/copyright: Add header
  * debian/control:
    + (Build-Depends): Bump build-dependency on octave-pkg-dev to >=
      0.6.4, such that the package is built with the versioned packages
      directory
    + (Standards-Version): Bump to 3.8.1 (add file debian/README.source)
    + (Depends): Add ${misc:Depends}
    + (Build-Depends): Drop octave-nan
    + (Build-Depends-Indep): Add octave-nan
    + (Vcs-Git, Vcs-Browser): Adjust to new Git repository
  * debian/source.lintian-overrides: Add file for overriding Lintian
    warnings build-depends-without-arch-dep
  * debian/patches/autoload-yes.diff: Add description

 -- Rafael Laboissiere <rafael@debian.org>  Sun, 12 Apr 2009 17:51:14 +0200

octave-tsa (4.0.0-1) experimental; urgency=low

  [ Rafael Laboissiere ]
  * debian/control: Bump Standards-Version to 3.8.0 (no changes needed)

  [ Thomas Weber ]
  * New upstream release
  * Bump dependency on octave-pkg-dev to 0.6.1, to get the experimental
    version
  * Drop debian/patches/lpc-yule-walker.diff, applied upstream

 -- Thomas Weber <thomas.weber.mail@gmail.com>  Sun, 14 Dec 2008 17:21:54 +0100

octave-tsa (3.10.6-2) unstable; urgency=low

  * debian/copyright: Add specific copyright notices for the inst/*.m.  In
    particular, notice that most of them are release under the LGPL and
    not the GPL.  (This should, really, closes: #481471.)

 -- Rafael Laboissiere <rafael@debian.org>  Sat, 07 Jun 2008 11:17:16 +0200

octave-tsa (3.10.6-1) unstable; urgency=low

  * Initial release (closes: #481471)

 -- Rafael Laboissiere <rafael@debian.org>  Fri, 16 May 2008 14:10:35 +0000

=== debian/control ===
Source: octave-tsa
Section: math
Priority: optional
Maintainer: Debian Octave Group <pkg-octave-devel@lists.alioth.debian.org>
Uploaders: Thomas Weber <tweber@debian.org>
DM-Upload-Allowed: yes
Build-Depends: debhelper (>= 6), cdbs, octave-pkg-dev (>= 0.7.0)
Build-Depends-Indep: octave-nan
Standards-Version: 3.9.1
Homepage: http://octave.sourceforge.net/tsa/
Vcs-Git: git://git.debian.org/git/pkg-octave/octave-tsa.git
Vcs-Browser: http://git.debian.org/?p=pkg-octave/octave-tsa.git

Package: octave-tsa
Architecture: all
Depends: ${misc:Depends}, ${octave:Depends}, octave-nan
Description: time series analysis in Octave
 The TSA toolbox is useful for analysing Time Series.  The methods are
 based on stochastic concepts and maximum entropy methods. The
 programs should be compatible to Matlab as well as Octave.  It
 includes Stochastic Signal processing, Autoregressive Model
 Identification, maximum entropy spectral estimation, and much more.
 .
 This Octave add-on package is part of the Octave-Forge project.

=== debian/watch ===
version=3
http://octave.sourceforge.net/packages.php \
    http://downloads\.sourceforge\.net/octave/tsa-([\d.]+)\.tar\.gz\?download

## octave-tsa 4.2.4

=== DESCRIPTION ===
Name: TSA
Version: 4.2.4
Date: 2012-04-03
Author: Alois Schloegl <a.schloegl@ieee.org>
Maintainer: Alois Schloegl
Title: The TSA-toolbox
Description: A toolbox for Time Series Analysis .
Depends: octave (> 2.9.0)
License: GPL version 3 or later
Url: http://pub.ist.ac.at/~schloegl/matlab/tsa

=== src/Makefile ===
####################################################
# Copyright 2010,2011,2012 Alois Schloegl 
# This is part of the NaN-toolbox - a statistics and machine learning toolbox for data with and without missing values. 
# http://pub.ist.ac.at/~schloegl/matlab/NaN/
####################################################

### modify directories according to your needs 

# Octave - global install  (e.g. from debian package)
# OCTAVE_VERSION = 

# Matlab configuration
MATLABDIR = /usr/local/MATLAB/R2010b
# comment the following line if you use MATLAB on 32-bit operating system
MEX_OPTION += -largeArrayDims

# Mingw crosscompiler: available at http://www.nongnu.org/mingw-cross-env/
CROSS   = $(HOME)/src/mingw-cross-env/usr/bin/i686-pc-mingw32-
CROSS64 = $(HOME)/src/mce-w64/usr/bin/x86_64-w64-mingw32-
# include directory for Win32-Matlab include
W32MAT_INC = $(HOME)/bin/win32/Matlab/R2010b/extern/include/
W64MAT_INC = $(HOME)/bin/win64/Matlab/R2010b/extern/include/
# path to GNUMEX libraries, available from here http://sourceforge.net/projects/gnumex/
GNUMEX   = $(HOME)/bin/win32/gnumex
GNUMEX64 = $(HOME)/bin/win64/gnumex
# building gnumex64 was difficult, these hints were quite useful: 
# http://sourceforge.net/mailarchive/forum.php?thread_name=AANLkTinZvxgC9ezp2P3UCX_a7TAUYuVsp2U40MQUV6qr%40mail.gmail.com&forum_name=gnumex-users
# Instead of building "mex shortpath.c" and "mex uigetpath.c", I used empty m-functions within argout=argin; 
####################################################

CC  	= gcc
CXX 	= g++
CFLAGS 	= -fopenmp -Wall -Wextra -Wconversion -O2 -fPIC 
OCTMEX	= mkoctfile$(OCTAVE_VERSION) --mex
RM      = rm

MEX_OPTION  += -lgomp CC\#$(CXX) CXX\#$(CXX) CFLAGS\#"$(CFLAGS)" CXXFLAGS\#"$(CFLAGS)"
MATMEX      = $(MATLABDIR)/bin/mex $(MEX_OPTION)

PROGS = covm_mex.mex sumskipnan_mex.mex 

mex4o octave: $(PROGS)

ifneq ( , $(ls -1 $(MATLABDIR) ) )
MEX_EXT = $(shell $(MATLABDIR)/bin/mexext)
mex4m matlab: $(patsubst %.mex, %.$(MEX_EXT), $(PROGS))
endif
mexw32 win32:  $(patsubst %.mex, %.mexw32, $(PROGS))
mexw64 win64:  $(patsubst %.mex, %.mexw64, $(PROGS))
all:    octave win32 win64 mex4m

clean:
	-$(RM) *.o *.obj *.o64 core octave-core *.oct *~ *.mex* 

$(PROGS): Makefile

#########################################################
#	Octave, MATLAB on Linux 
#########################################################
%.oct: %.cc
	mkoctfile$(OCTAVE_VERSION) $<

%.mex: %.cpp
	$(OCTMEX) $<  -lgomp         ## Octave
%.$(MEX_EXT): %.cpp
	$(MATMEX) $<  -lgomp      ## Matlab


#########################################################
#	MATLAB/WIN32
#########################################################
%.obj: %.cpp
	$(CROSS)$(CXX) -fopenmp -c -DMATLAB_MEX_FILE -x c++ -o $@ -I$(W32MAT_INC) -O2 -DMX_COMPAT_32 $<
%.obj: %.c
	$(CROSS)$(CXX) -fopenmp -c -DMATLAB_MEX_FILE -x c++ -o $@ -I$(W32MAT_INC) -O2 -DMX_COMPAT_32 $< 

%.mexw32: %.obj
	$(CROSS)$(CXX) -shared $(GNUMEX)/mex.def -o $@ -L$(GNUMEX) -s $< -llibmx -llibmex -llibmat -lcholmod -lgomp -lpthread


#########################################################
#	MATLAB/WIN64
#########################################################

## ToDO: fix OpenMP support: currently -fopenmp causes Matlab to crash
%.o64: %.cpp
	$(CROSS64)$(CXX) -c -DMATLAB_MEX_FILE -x c++ -o $@ -I$(W64MAT_INC) -O2 $<
%.o64: %.c
	$(CROSS64)$(CXX) -c -DMATLAB_MEX_FILE -x c++ -o $@ -I$(W64MAT_INC) -O2 $< 

%.mexw64: %.o64
	$(CROSS64)$(CXX) -shared $(GNUMEX64)/mex.def -o $@ -L$(GNUMEX64) -s $< -llibmx -llibmex -llibmat -lcholmod -lgomp -lpthread

=== debian/changelog ===
octave-tsa (4.2.4-1) unstable; urgency=low

  [ Rafael Laboissiere ]
  * Imported Upstream version 4.2.4
  * debian/patches/add-flag-implicit-skip-nan.patch: Drop patch (applied
    upstream)

  [ Sébastien Villemot ]
  * debian/copyright: reflect upstream changes

 -- Sébastien Villemot <sebastien.villemot@ens.fr>  Thu, 05 Apr 2012 14:29:17 +0200

octave-tsa (4.2.2-1) unstable; urgency=low

  [ Rafael Laboissiere ]
  * Imported Upstream version 4.2.2
  * Bump to debhelper compat level 9
  * Build-depend on octave-pkg-dev >= 1.0.1, to build against Octave 3.6
  * Add Sébastien Villemot to the list of Uploaders
  * Bump to Standards-Version 3.9.3, no changes needed
  * debian/patches/autoload-yes.diff: Drop patch
  * debian/patches/autoload-no.patch: New patch
  * Architecture is now "any", since some .mex files are included
  * debian/patches/add-flag-implicit-skip-nan.patch: New patch
  * debian/copyright: update to machine-readable format 1.0

 -- Thomas Weber <tweber@debian.org>  Fri, 30 Mar 2012 15:16:09 +0200

=== debian/control ===
Source: octave-tsa
Section: math
Priority: optional
Maintainer: Debian Octave Group <pkg-octave-devel@lists.alioth.debian.org>
Uploaders: Thomas Weber <tweber@debian.org>,
           Sébastien Villemot <sebastien.villemot@ens.fr>
DM-Upload-Allowed: yes
Build-Depends: debhelper (>= 9), cdbs, octave-pkg-dev (>= 1.0.1)
Standards-Version: 3.9.3
Homepage: http://octave.sourceforge.net/tsa/
Vcs-Git: git://git.debian.org/git/pkg-octave/octave-tsa.git
Vcs-Browser: http://git.debian.org/?p=pkg-octave/octave-tsa.git

Package: octave-tsa
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, ${octave:Depends}
Description: time series analysis in Octave
 The TSA toolbox is useful for analysing Time Series.  The methods are
 based on stochastic concepts and maximum entropy methods. The
 programs should be compatible to Matlab as well as Octave.  It
 includes Stochastic Signal processing, Autoregressive Model
 Identification, maximum entropy spectral estimation, and much more.
 .
 This Octave add-on package is part of the Octave-Forge project.

=== debian/watch ===
version=3
http://sf.net/octave/tsa-(.+)\.tar\.gz

## octave-tsa 4.2.4+dfsg

=== debian/changelog ===
octave-tsa (4.2.4+dfsg-1) unstable; urgency=medium

  [ Rafael Laboissiere ]
  * Imported Upstream version 4.2.4+dfsg.
    The upstream tarball has been repacked in order to remove the src/*.mex*
    files.
  * Remove binary files src/*.mex* from upstream tarball
    - debian/rules: Add get-orig-source rule
    - debian/copyright: Add list of files to be excluded
    - debian/watch: Mangle the upstream version to drop the "+dsfg" part
  * Remove obsolete DM-Upload-Allowed flag
  * debian/copyright: Use octave-maintainers mailing list as upstream contact
  * Bump to Standards-Version 3.9.5, no changes needed

  [ Sébastien Villemot ]
  * Use my @debian.org email address

  [ Thomas Weber ]
  * debian/control: Use canonical URLs in Vcs-* fields

 -- Sébastien Villemot <sebastien@debian.org>  Sat, 07 Dec 2013 14:17:15 +0100

## octave-tsa 4.2.7

=== DESCRIPTION ===
Name: TSA
Version: 4.2.7
Date: 2014-01-12
Author: Alois Schloegl <alois.schloegl@ist.ac.at>
Maintainer: Alois Schloegl
Title: The TSA-toolbox
Description: A toolbox for Time Series Analysis .
Depends: octave (> 2.9.0)
License: GPL version 3 or later
Url: http://pub.ist.ac.at/~schloegl/matlab/tsa

=== src/Makefile ===
####################################################
# Copyright 2010,2011,2012 Alois Schloegl 
# This is part of the TSA-toolbox - a statistics and machine learning toolbox for data with and without missing values. 
# http://pub.ist.ac.at/~schloegl/matlab/tsa/
####################################################

### modify directories according to your needs 

# Define non-default octave-version 
# Octave - global install  (e.g. from debian package)
# OCTAVE_VERSION= 
# Better alternative: define an OCTAVE_VERSION bash variable (or in .bashrc or .profile)
# OCTAVE_VERSION=-3.6.3

# Matlab configuration
# MATLABDIR = /usr/local/MATLAB/R2010b
# comment the following line if you use MATLAB on 32-bit operating system
MEX_OPTION += -largeArrayDims

# Mingw crosscompiler: available at http://www.nongnu.org/mingw-cross-env/
CROSS   = $(HOME)/src/mxe.github.schloegl/usr/bin/i686-pc-mingw32
CROSS64 = $(HOME)/src/mxe.github.schloegl/usr/bin/x86_64-w64-mingw32
# include directory for Win32-Matlab include
W32MAT_INC = -I$(HOME)/bin/win32/Matlab/R2010b/extern/include/
W64MAT_INC = -I$(HOME)/bin/win64/Matlab/R2010b/extern/include/
# path to GNUMEX libraries, available from here http://sourceforge.net/projects/gnumex/
GNUMEX   = $(HOME)/bin/win32/gnumex
GNUMEX64 = $(HOME)/bin/win64/gnumex
# building gnumex64 was difficult, these hints were quite useful: 
# http://sourceforge.net/mailarchive/forum.php?thread_name=AANLkTinZvxgC9ezp2P3UCX_a7TAUYuVsp2U40MQUV6qr%40mail.gmail.com&forum_name=gnumex-users
# Instead of building "mex shortpath.c" and "mex uigetpath.c", I used empty m-functions within argout=argin; 
####################################################
W32MAT_INC += -I$(subst /usr/bin/,/usr/,$(CROSS))/include/
W64MAT_INC += -I$(subst /usr/bin/,/usr/,$(CROSS64))/include/
LDLIBS_W32 = $(subst /usr/bin/,/usr/,$(CROSS))/lib/
LDLIBS_W64 = $(subst /usr/bin/,/usr/,$(CROSS64))/lib/
W32_LIBS  = $(LDLIBS_W32)liblapack.a
W64_LIBS  = $(LDLIBS_W64)liblapack.a
W32_LIBS += $(LDLIBS_W32)libblas.a
W64_LIBS += $(LDLIBS_W64)libblas.a



CC  	= gcc
CXX 	= g++
CFLAGS 	= -fopenmp -Wall -Wextra -Wconversion -O2 -fPIC 
OCTMEX	= mkoctfile$(OCTAVE_VERSION) --mex
RM      = rm

MEX_OPTION  += -lgomp CC\#$(CXX) CXX\#$(CXX) CFLAGS\#"$(CFLAGS)" CXXFLAGS\#"$(CFLAGS)"
MATMEX      = $(MATLABDIR)/bin/mex $(MEX_OPTION)

PROGS = covm_mex.mex sumskipnan_mex.mex #

### per default only the mex-files for octave are built
mex4o octave: $(PROGS)


### Matlab configuration - search for a matlab directory if not defined above
ifndef MATLABDIR
  ifneq ('',$(shell ls -1 /usr/local/MATLAB))
    # use oldest, typically mex-files a compatible with newer Matlab versions 
    MATLABDIR=$(shell ls -dt1 /usr/local/MATLAB/R* |tail -1)
    # alternatively, use latest matlab version
    #MATLABDIR=$(shell ls -dt1 /usr/local/MATLAB/R* |head -1)
  endif
endif

### if the MATLABDIR has been found or defined 
ifneq ('',MATLABDIR)
  ifneq ('',$(lshell ls -1 $(MATLABDIR)))
    MEX_EXT = $(shell $(MATLABDIR)/bin/mexext)
    mex4m matlab: $(patsubst %.mex, %.$(MEX_EXT), $(PROGS))
  endif
endif


mexw32 win32:  $(patsubst %.mex, %.mexw32, $(PROGS))
mexw64 win64:  $(patsubst %.mex, %.mexw64, $(PROGS))
all:    octave win32 win64 mex4m

clean:
	-$(RM) *.o *.obj *.o64 core octave-core *.oct *~ *.mex* 


#########################################################

#	Octave, MATLAB on Linux 
#########################################################
%.oct: %.cc
	mkoctfile$(OCTAVE_VERSION) "$<"

%.mex: %.cpp
	$(OCTMEX) "$<"  -lgomp -llapack -lblas     ## Octave
%.$(MEX_EXT): %.cpp
	$(MATMEX) "$<"  -lgomp -llapack -lblas     ## Matlab


#########################################################
#	MATLAB/WIN32
#########################################################
%.obj: %.cpp
	$(CROSS)-$(CXX) -fopenmp -c -DMATLAB_MEX_FILE -x c++ -o "$@" $(W32MAT_INC) -O2 -DMX_COMPAT_32 "$<"
%.obj: %.c
	$(CROSS)-$(CXX) -fopenmp -c -DMATLAB_MEX_FILE -x c++ -o "$@" $(W32MAT_INC) -O2 -DMX_COMPAT_32 "$<" 

%.mexw32: %.obj
	$(CROSS)-$(CXX) -shared $(GNUMEX)/mex.def -o "$@" -L$(GNUMEX) -s "$<" -llibmx -llibmex -llibmat -lcholmod -lgomp -lpthread -L$(LDLIBS_W32) -lblas -llapack


#########################################################
#	MATLAB/WIN64
#########################################################

## ToDO: fix OpenMP support: currently -fopenmp causes Matlab to crash
%.o64: %.cpp
	$(CROSS64)-$(CXX) -c -DMATLAB_MEX_FILE -x c++ -o "$@" $(W64MAT_INC) -O2 "$<"
%.o64: %.c
	$(CROSS64)-$(CXX) -c -DMATLAB_MEX_FILE -x c++ -o "$@" $(W64MAT_INC) -O2 "$<" 

%.mexw64: %.o64
	$(CROSS64)-$(CXX) -shared $(GNUMEX64)/mex.def -o "$@" -L$(GNUMEX64) -s "$<" -llibmx -llibmex -llibmat -lcholmod -lgomp -lpthread -L$(LDLIBS_W64) -lblas -llapack

=== debian/changelog ===
octave-tsa (4.2.7-1build1) trusty; urgency=medium

  * Rebuild for octave 3.8.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 24 Feb 2014 18:27:01 +0000

octave-tsa (4.2.7-1) unstable; urgency=medium

  [ Rafael Laboissiere ]
  * Imported Upstream version 4.2.7
  * debian/copyright: Adjust for new usptream version

 -- Sébastien Villemot <sebastien@debian.org>  Mon, 27 Jan 2014 17:55:46 +0100

=== debian/control ===
--- 
+++ 
@@ -3,13 +3,12 @@
 Priority: optional
 Maintainer: Debian Octave Group <pkg-octave-devel@lists.alioth.debian.org>
 Uploaders: Thomas Weber <tweber@debian.org>,
-           Sébastien Villemot <sebastien.villemot@ens.fr>
-DM-Upload-Allowed: yes
+           Sébastien Villemot <sebastien@debian.org>
 Build-Depends: debhelper (>= 9), cdbs, octave-pkg-dev (>= 1.0.1)
-Standards-Version: 3.9.3
+Standards-Version: 3.9.5
 Homepage: http://octave.sourceforge.net/tsa/
-Vcs-Git: git://git.debian.org/git/pkg-octave/octave-tsa.git
-Vcs-Browser: http://git.debian.org/?p=pkg-octave/octave-tsa.git
+Vcs-Git: git://anonscm.debian.org/pkg-octave/octave-tsa.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-octave/octave-tsa.git
 
 Package: octave-tsa
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/cdbs/1/class/octave-pkg.mk

get-orig-source:
	uscan --verbose --force-download --repack-compression xz

=== debian/watch ===
version=3
opts="dversionmangle=s/[~+]dfsg[0-9]*//" \
  http://sf.net/octave/tsa-(.+)\.tar\.gz

## octave-tsa 4.2.9

=== debian/changelog ===
octave-tsa (4.2.9-1) unstable; urgency=medium

  * Team upload.

  [ Rafael Laboissiere ]
  * Imported Upstream version 4.2.9
  * d/p/autoload-no.patch: Remove patch (useless, since "Autoload: no" is the
    default)
  * d/check.m: Prevent use of Java AWT dialogs, avoiding crash of unit test
  * d/p/ignore-matlab-version.patch: New patch

  [ Sébastien Villemot ]
  * Use X environment to run tests.
    - d/rules: tell octave-pkg-dev to run tests within xvfb-run.
    - d/control: add xvfb, xauth and gnuplot-nox to Build-Depends.

 -- Sébastien Villemot <sebastien@debian.org>  Sun, 19 Jul 2015 21:15:25 +0200

octave-tsa (4.2.7-2) unstable; urgency=medium

  [ Sébastien Villemot ]
  * Uploaders: set to Rafael Laboissiere.

  [ Rafael Laboissiere ]
  * Mention all upstream files in debian/copyright (fix Lintian warning)
  * Bump Standards-Version to 3.9.6 (no changes needed)

 -- Rafael Laboissiere <rafael@laboissiere.net>  Sat, 27 Sep 2014 06:29:28 -0300

=== debian/control ===
--- 
+++ 
@@ -2,10 +2,10 @@
 Section: math
 Priority: optional
 Maintainer: Debian Octave Group <pkg-octave-devel@lists.alioth.debian.org>
-Uploaders: Thomas Weber <tweber@debian.org>,
-           Sébastien Villemot <sebastien@debian.org>
-Build-Depends: debhelper (>= 9), cdbs, octave-pkg-dev (>= 1.0.1)
-Standards-Version: 3.9.5
+Uploaders: Rafael Laboissiere <rafael@laboissiere.net>
+Build-Depends: debhelper (>= 9), cdbs, octave-pkg-dev (>= 1.0.1),
+               xvfb, xauth, gnuplot-nox
+Standards-Version: 3.9.6
 Homepage: http://octave.sourceforge.net/tsa/
 Vcs-Git: git://anonscm.debian.org/pkg-octave/octave-tsa.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-octave/octave-tsa.git

## octave-tsa 4.3.3

=== DESCRIPTION ===
Name: TSA
Version: 4.3.3
Date: 2015-12-19
Author: Alois Schloegl <alois.schloegl@ist.ac.at>
Maintainer: Alois Schloegl
Title: Time Series Analysis Toolbox 
Description: Stochastic concepts and maximum entropy methods for time series analysis
Depends: octave (>= 2.9.7) 
License: GPLv3+
Url: http://www.ist.ac.at/~schloegl/matlab/tsa

=== src/Makefile ===
--- 
+++ 
@@ -18,8 +18,8 @@
 MEX_OPTION += -largeArrayDims
 
 # Mingw crosscompiler: available at http://www.nongnu.org/mingw-cross-env/
-CROSS   = $(HOME)/src/mxe.github.schloegl/usr/bin/i686-pc-mingw32
-CROSS64 = $(HOME)/src/mxe.github.schloegl/usr/bin/x86_64-w64-mingw32
+CROSS   = $(HOME)/src/mxe/usr/bin/i686-w64-mingw32.static
+CROSS64 = $(HOME)/src/mxe/usr/bin/x86_64-w64-mingw32.static
 # include directory for Win32-Matlab include
 W32MAT_INC = -I$(HOME)/bin/win32/Matlab/R2010b/extern/include/
 W64MAT_INC = -I$(HOME)/bin/win64/Matlab/R2010b/extern/include/
@@ -39,15 +39,18 @@
 W32_LIBS += $(LDLIBS_W32)libblas.a
 W64_LIBS += $(LDLIBS_W64)libblas.a
 
-
-
-CC  	= gcc
-CXX 	= g++
-CFLAGS 	= -fopenmp -Wall -Wextra -Wconversion -O2 -fPIC 
-OCTMEX	= mkoctfile$(OCTAVE_VERSION) --mex
+CC  	?= gcc
+CXX 	?= g++
+CFLAGS 	= -Wall -Wextra -Wconversion -O2 -fPIC 
+OCTMEX	= mkoctfile$(OCTAVE_VERSION) --mex -lgomp
 RM      = rm
 
-MEX_OPTION  += -lgomp CC\#$(CXX) CXX\#$(CXX) CFLAGS\#"$(CFLAGS)" CXXFLAGS\#"$(CFLAGS)"
+ifneq (Darwin,$(shell uname))
+CFLAGS      += -fopenmp
+MEX_OPTION  += -lgomp
+endif
+
+MEX_OPTION  += CC\#$(CXX) CXX\#$(CXX) CFLAGS\#"$(CFLAGS)" CXXFLAGS\#"$(CFLAGS)"
 MATMEX      = $(MATLABDIR)/bin/mex $(MEX_OPTION)
 
 PROGS = covm_mex.mex sumskipnan_mex.mex #
@@ -57,19 +60,17 @@
 
 
 ### Matlab configuration - search for a matlab directory if not defined above
-ifndef MATLABDIR
-  ifneq ('',$(shell ls -1 /usr/local/MATLAB))
+ifeq (,$(MATLABDIR))
+  ifneq (,$(shell ls -1 /usr/local/ |grep MATLAB))
     # use oldest, typically mex-files a compatible with newer Matlab versions 
-    MATLABDIR=$(shell ls -dt1 /usr/local/MATLAB/R* |tail -1)
-    # alternatively, use latest matlab version
-    #MATLABDIR=$(shell ls -dt1 /usr/local/MATLAB/R* |head -1)
+    MATLABDIR=/usr/local/MATLAB/$(shell ls -1rt /usr/local/MATLAB/  |grep "^R*" |head -1)
   endif
 endif
 
-### if the MATLABDIR has been found or defined 
-ifneq ('',MATLABDIR)
-  ifneq ('',$(lshell ls -1 $(MATLABDIR)))
-    MEX_EXT = $(shell $(MATLABDIR)/bin/mexext)
+### if MATLABDIR has been found or defined 
+ifneq (,$(MATLABDIR))
+  ifneq (,$(shell ls -1 $(MATLABDIR)/bin/mexext))
+    MEX_EXT=$(shell $(MATLABDIR)/bin/mexext)
     mex4m matlab: $(patsubst %.mex, %.$(MEX_EXT), $(PROGS))
   endif
 endif
@@ -91,9 +92,9 @@
 	mkoctfile$(OCTAVE_VERSION) "$<"
 
 %.mex: %.cpp
-	$(OCTMEX) "$<"  -lgomp -llapack -lblas     ## Octave
+	$(OCTMEX) "$<" -llapack -lblas
 %.$(MEX_EXT): %.cpp
-	$(MATMEX) "$<"  -lgomp -llapack -lblas     ## Matlab
+	$(MATMEX) "$<" -llapack -lblas
 
 
 #########################################################

=== debian/changelog ===
octave-tsa (4.3.3-1) unstable; urgency=medium

  * Imported Upstream version 4.3.3

 -- Rafael Laboissiere <rafael@laboissiere.net>  Tue, 29 Dec 2015 18:20:21 +0100

octave-tsa (4.3.2-1) unstable; urgency=medium

  * Imported Upstream version 4.3.2
  * d/p/ignore-matlab-version.patch: Drop patch (applied upstream)
  * d/copyright: Reflect upstream changes
  * d/control: Add octave-nan to Build-Depends

 -- Rafael Laboissiere <rafael@laboissiere.net>  Sun, 18 Oct 2015 23:57:02 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian Octave Group <pkg-octave-devel@lists.alioth.debian.org>
 Uploaders: Rafael Laboissiere <rafael@laboissiere.net>
 Build-Depends: debhelper (>= 9), cdbs, octave-pkg-dev (>= 1.0.1),
-               xvfb, xauth, gnuplot-nox
+               xvfb, xauth, gnuplot-nox, octave-nan
 Standards-Version: 3.9.6
 Homepage: http://octave.sourceforge.net/tsa/
 Vcs-Git: git://anonscm.debian.org/pkg-octave/octave-tsa.git

=== debian/rules ===
--- 
+++ 
@@ -3,5 +3,7 @@
 
 include /usr/share/cdbs/1/class/octave-pkg.mk
 
+OCTPKG_TEST_ENV = xvfb-run
+
 get-orig-source:
 	uscan --verbose --force-download --repack-compression xz

## octave-tsa 4.4.1

=== src/Makefile ===
--- 
+++ 
@@ -45,6 +45,10 @@
 OCTMEX	= mkoctfile$(OCTAVE_VERSION) --mex -lgomp
 RM      = rm
 
+# Support Debian Hardening flags
+# https://wiki.debian.org/HardeningWalkthrough#Handling_dpkg-buildflags_in_your_upstream_build_system
+CFLAGS += $(CPPFLAGS)
+
 ifneq (Darwin,$(shell uname))
 CFLAGS      += -fopenmp
 MEX_OPTION  += -lgomp
@@ -53,7 +57,7 @@
 MEX_OPTION  += CC\#$(CXX) CXX\#$(CXX) CFLAGS\#"$(CFLAGS)" CXXFLAGS\#"$(CFLAGS)"
 MATMEX      = $(MATLABDIR)/bin/mex $(MEX_OPTION)
 
-PROGS = covm_mex.mex sumskipnan_mex.mex #
+PROGS       = covm_mex.mex sumskipnan_mex.mex histo_mex.mex #
 
 ### per default only the mex-files for octave are built
 mex4o octave: $(PROGS)

=== debian/changelog ===
octave-tsa (4.4.1-1build1) yakkety; urgency=medium

  * No-change rebuild against liboctave3v5

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 08 Jun 2016 18:50:59 +0000

octave-tsa (4.4.1-1) unstable; urgency=medium

  * Imported Upstream version 4.4.1
  * d/control: Use secure URIs in the Vcs-* fields
  * d/control: Bump Standards-Version to 3.9.7 (no changes needed)

 -- Rafael Laboissiere <rafael@laboissiere.net>  Thu, 17 Mar 2016 13:34:43 +0100

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,15 @@
 Source: octave-tsa
 Section: math
 Priority: optional
-Maintainer: Debian Octave Group <pkg-octave-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Octave Group <pkg-octave-devel@lists.alioth.debian.org>
 Uploaders: Rafael Laboissiere <rafael@laboissiere.net>
 Build-Depends: debhelper (>= 9), cdbs, octave-pkg-dev (>= 1.0.1),
                xvfb, xauth, gnuplot-nox, octave-nan
-Standards-Version: 3.9.6
+Standards-Version: 3.9.7
 Homepage: http://octave.sourceforge.net/tsa/
-Vcs-Git: git://anonscm.debian.org/pkg-octave/octave-tsa.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-octave/octave-tsa.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-octave/octave-tsa.git
+Vcs-Browser: https://anonscm.debian.org/gitweb/?p=pkg-octave/octave-tsa.git
 
 Package: octave-tsa
 Architecture: any

## octave-tsa 4.4.5

=== src/Makefile ===
####################################################
# Copyright 2010,2011,2012,2016Alois Schloegl
# This is part of the TSA-toolbox - Time Series analysis toolbox
# http://pub.ist.ac.at/~schloegl/matlab/tsa/
####################################################

### modify directories according to your needs 

# Define non-default octave-version 
# Octave - global install  (e.g. from debian package)
# OCTAVE_VERSION= 
# Better alternative: define an OCTAVE_VERSION bash variable (or in .bashrc or .profile)
# OCTAVE_VERSION=-3.6.3

# Matlab configuration
# MATLABDIR = /usr/local/MATLAB/R2010b
# comment the following line if you use MATLAB on 32-bit operating system
MEX_OPTION += -largeArrayDims

# Mingw crosscompiler: available at http://www.nongnu.org/mingw-cross-env/
CROSS   = $(HOME)/src/mxe/usr/bin/i686-w64-mingw32.static-
CROSS64 = $(HOME)/src/mxe/usr/bin/x86_64-w64-mingw32.static-
# include directory for Win32-Matlab include
W32MAT_INC = $(HOME)/bin/win32/Matlab/R2010b/extern/include/
W64MAT_INC = $(HOME)/bin/win64/Matlab/R2010b/extern/include/
# path to GNUMEX libraries, available from here http://sourceforge.net/projects/gnumex/
GNUMEX   = $(HOME)/bin/win32/gnumex
GNUMEX64 = $(HOME)/bin/win64/gnumex
# building gnumex64 was difficult, these hints were quite useful: 
# http://sourceforge.net/mailarchive/forum.php?thread_name=AANLkTinZvxgC9ezp2P3UCX_a7TAUYuVsp2U40MQUV6qr%40mail.gmail.com&forum_name=gnumex-users
# Instead of building "mex shortpath.c" and "mex uigetpath.c", I used empty m-functions within argout=argin; 
####################################################
MKOCTFILE ?= mkoctfile$(OCTAVE_VERSION)
CC      ?= gcc
CXX     ?= g++
CFLAGS  = -Wall -Wextra -Wconversion -O2 -fPIC
OCTMEX	= mkoctfile$(OCTAVE_VERSION) --mex
RM      = rm

# Support Debian Hardening flags
# https://wiki.debian.org/HardeningWalkthrough#Handling_dpkg-buildflags_in_your_upstream_build_system
CFLAGS += $(CPPFLAGS)

ifeq ($(OS),Windows_NT)
  # CC need to be defined on Windows, see also http://savannah.gnu.org/bugs/?47559
  CC = gcc
else ifeq (Darwin,$(shell uname))
  # no OpenMP on MacOSX, neither for Matlab nor Octave
else
  # enable OpenMP support
  CFLAGS      += -fPIC -fopenmp
  OCTMEX      += -lgomp
  MEX_OPTION  += -lgomp
  MEX_OPTION  += CC\#$(CXX) CXX\#$(CXX) CFLAGS\#"$(CFLAGS) " CXXFLAGS\#"$(CFLAGS) "
endif

MEX_OPTION  += CC\#$(CXX) CXX\#$(CXX) CFLAGS\#"$(CFLAGS)" CXXFLAGS\#"$(CFLAGS)"
MATMEX      = $(MATLABDIR)/bin/mex $(MEX_OPTION)

PROGS       = #covm_mex.mex sumskipnan_mex.mex histo_mex.mex kalman_maar.mex

### per default only the mex-files for octave are built
mex4o octave: $(PROGS)


### Matlab configuration - search for a matlab directory if not defined above
ifeq (,$(MATLABDIR))
  ifneq (,$(shell ls -1 /usr/local/ |grep MATLAB))
    # use oldest, typically mex-files a compatible with newer Matlab versions 
    MATLABDIR=/usr/local/MATLAB/$(shell ls -1rt /usr/local/MATLAB/  |grep "^R*" |head -1)
  endif
endif

### if MATLABDIR has been found or defined 
ifneq (,$(MATLABDIR))
  ifneq (,$(shell ls -1 $(MATLABDIR)/bin/mexext))
    MEX_EXT=$(shell $(MATLABDIR)/bin/mexext)
    mex4m matlab: $(patsubst %.mex, %.$(MEX_EXT), $(PROGS))
  endif
endif


mexw32 win32:  $(patsubst %.mex, %.mexw32, $(PROGS))
mexw64 win64:  $(patsubst %.mex, %.mexw64, $(PROGS))
all:    octave win32 win64 mex4m

clean:
	-$(RM) *.o *.obj *.o64 core octave-core *.oct *~ *.mex* 


#########################################################

#	Octave, MATLAB on Linux 
#########################################################
%.oct: %.cc
	mkoctfile$(OCTAVE_VERSION) "$<"

%.mex: %.cpp
	$(OCTMEX) "$<" -llapack -lblas
%.$(MEX_EXT): %.cpp
	$(MATMEX) "$<" -llapack -lblas


#########################################################
#	MATLAB/WIN32
#########################################################
%.obj: %.cpp
	$(CROSS)$(CXX) -fopenmp -c -DMATLAB_MEX_FILE -x c++ -o "$@" -I$(W32MAT_INC) -O2 -DMX_COMPAT_32 "$<"
%.obj: %.c
	$(CROSS)$(CXX) -fopenmp -c -DMATLAB_MEX_FILE -x c++ -o "$@" -I$(W32MAT_INC) -O2 -DMX_COMPAT_32 "$<"

%.mexw32: %.obj
	$(CROSS)$(CXX) -shared $(GNUMEX)/mex.def -o "$@" -L$(GNUMEX) -s "$<" -llibmx -llibmex -llibmat -lcholmod -lgomp -lpthread -L$(LDLIBS_W32) -lblas -llapack


#########################################################
#	MATLAB/WIN64
#########################################################

## ToDO: fix OpenMP support: currently -fopenmp causes Matlab to crash
%.o64: %.cpp
	$(CROSS64)$(CXX) -c -DMATLAB_MEX_FILE -x c++ -o "$@" -I$(W64MAT_INC) -O2 "$<"
%.o64: %.c
	$(CROSS64)$(CXX) -c -DMATLAB_MEX_FILE -x c++ -o "$@" -I$(W64MAT_INC) -O2 "$<"

%.mexw64: %.o64
	$(CROSS64)$(CXX) -shared $(GNUMEX64)/mex.def -o "$@" -L$(GNUMEX64) -s "$<" -llibmx -llibmex -llibmat -lcholmod -lgomp -lpthread -L$(LDLIBS_W64) -lblas -llapack

=== debian/changelog ===
octave-tsa (4.4.5-3) unstable; urgency=medium

  * Use dh-octave for building the package
  * d/control:
     + Use Debian's GitLab URLs in Vcs-* headers
     + Change Maintainer to team+pkg-octave-team@tracker.debian.org

 -- Rafael Laboissiere <rafael@debian.org>  Sat, 10 Feb 2018 07:39:55 -0200

octave-tsa (4.4.5-2) unstable; urgency=medium

  [ Sébastien Villemot ]
  * d/copyright: use secure URL for format.
  * d/watch: bump to format version 4.

  [ Rafael Laboissiere ]
  * Use the dh-based version of octave-pkg-dev
  * Set debhelper compatibility level to >= 11
  * d/control:
    + Bump Standards-Version to 4.1.3 (no changes needed)
    + Use cgit instead of gitweb in Vcs-Browser URL
    + Add Testsuite field

 -- Rafael Laboissiere <rafael@debian.org>  Fri, 29 Dec 2017 22:15:04 -0200

octave-tsa (4.4.5-1) unstable; urgency=medium

  * New upstream version 4.4.5
  * Bump Standards-Version to 3.9.8 (no changes needed)
  * d/control: Package is architecture-independent now
  * d/copyright: Reflect upstream changes

 -- Rafael Laboissiere <rafael@debian.org>  Fri, 13 Jan 2017 15:11:50 -0200

=== debian/control ===
Source: octave-tsa
Section: math
Priority: optional
Maintainer: Debian Octave Group <team+pkg-octave-team@tracker.debian.org>
Uploaders: Rafael Laboissiere <rafael@debian.org>
Build-Depends: debhelper (>= 11), dh-octave,
               xvfb, xauth, gnuplot-nox, octave-nan
Standards-Version: 4.1.3
Homepage: http://octave.sourceforge.net/tsa/
Vcs-Git: https://salsa.debian.org/pkg-octave-team/octave-tsa.git
Vcs-Browser: https://salsa.debian.org/pkg-octave-team/octave-tsa
Testsuite: autopkgtest-pkg-octave

Package: octave-tsa
Architecture: all
Depends: ${misc:Depends}, ${octave:Depends}
Description: time series analysis in Octave
 The TSA toolbox is useful for analysing Time Series.  The methods are
 based on stochastic concepts and maximum entropy methods. The
 programs should be compatible to Matlab as well as Octave.  It
 includes Stochastic Signal processing, Autoregressive Model
 Identification, maximum entropy spectral estimation, and much more.
 .
 This Octave add-on package is part of the Octave-Forge project.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DH_OCTAVE_TEST_ENV = xvfb-run

%:
	dh $@ --buildsystem=octave --with=octave

get-orig-source:
	uscan --verbose --force-download --repack-compression xz

=== debian/watch ===
version=4
opts="dversionmangle=s/[~+]dfsg[0-9]*//" \
  http://sf.net/octave/tsa-(.+)\.tar\.gz

## octave-tsa 4.6.2

=== DESCRIPTION ===
Name: TSA
Version: 4.6.2
Date: 2019-10-24
Author: Alois Schloegl <alois.schloegl@ist.ac.at>
Maintainer: Alois Schloegl
Title: Time Series Analysis Toolbox 
Description: Stochastic concepts and maximum entropy methods for time series analysis
Depends: octave (>= 2.9.7), nan (> 3.0.0)
License: GPLv3+
Url: http://www.ist.ac.at/~schloegl/matlab/tsa

=== Makefile ===
## Copyright 2015-2016 Carnë Draug
## Copyright 2015-2016 Oliver Heimlich
## Copyright 2017 Julien Bect <jbect@users.sf.net>
## Copyright 2017 Olaf Till <i7tiol@t-online.de>
##
## Copying and distribution of this file, with or without modification,
## are permitted in any medium without royalty provided the copyright
## notice and this notice are preserved.  This file is offered as-is,
## without any warranty.

## Some basic tools (can be overriden using environment variables)
SED ?= sed
TAR ?= tar
GREP ?= grep
CUT ?= cut
TR ?= tr

## Note the use of ':=' (immediate set) and not just '=' (lazy set).
## http://stackoverflow.com/a/448939/1609556
package := $(shell $(GREP) "^Name: " DESCRIPTION | $(CUT) -f2 -d" " | \
$(TR) '[:upper:]' '[:lower:]')
version := $(shell $(GREP) "^Version: " DESCRIPTION | $(CUT) -f2 -d" ")

## These are the paths that will be created for the releases.
target_dir       := target
release_dir      := $(target_dir)/$(package)-$(version)
release_tarball  := $(target_dir)/$(package)-$(version).tar.gz
html_dir         := $(target_dir)/$(package)-html
html_tarball     := $(target_dir)/$(package)-html.tar.gz
## Using $(realpath ...) avoids problems with symlinks due to bug
## #50994 in Octaves scripts/pkg/private/install.m.  But at least the
## release directory above is needed in the relative form, for 'git
## archive --format=tar --prefix=$(release_dir).
real_target_dir  := $(realpath .)/$(target_dir)
installation_dir := $(real_target_dir)/.installation
package_list     := $(installation_dir)/.octave_packages
install_stamp    := $(installation_dir)/.install_stamp

## These can be set by environment variables which allow to easily
## test with different Octave versions.
ifndef OCTAVE
OCTAVE := octave
endif
OCTAVE := $(OCTAVE) --no-gui --silent --norc
MKOCTFILE ?= mkoctfile

## Command used to set permissions before creating tarballs
FIX_PERMISSIONS ?= chmod -R a+rX,u+w,go-w,ug-s

## Detect which VCS is used
vcs := $(if $(wildcard .hg),hg,$(if $(wildcard .git),git,unknown))
ifeq ($(vcs),hg)
release_dir_dep := .hg/dirstate
endif
ifeq ($(vcs),git)
release_dir_dep := .git/index
endif


## .PHONY indicates targets that are not filenames
## (https://www.gnu.org/software/make/manual/html_node/Phony-Targets.html)
.PHONY: help

## make will display the command before runnning them.  Use @command
## to not display it (makes specially sense for echo).
help:
	@echo "Targets:"
	@echo "   dist    - Create $(release_tarball) for release."
	@echo "   html    - Create $(html_tarball) for release."
	@echo "   release - Create both of the above and show md5sums."
	@echo "   install - Install the package in $(installation_dir), where it is not visible in a normal Octave session."
	@echo "   check   - Execute package tests."
	@echo "   doctest - Test the help texts with the doctest package."
	@echo "   run     - Run Octave with the package installed in $(installation_dir) in the path."
	@echo "   clean   - Remove everything made with this Makefile."


##
## Recipes for release tarballs (package + html)
##

.PHONY: release dist html clean-tarballs clean-unpacked-release

## To make a release, build the distribution and html tarballs.
release: dist html
	md5sum $(release_tarball) $(html_tarball)
	@echo "Upload @ https://sourceforge.net/p/octave/package-releases/new/"
	@echo "    and note the changeset the release corresponds to"

## dist and html targets are only PHONY/alias targets to the release
## and html tarballs.
dist: $(release_tarball)
html: $(html_tarball)

## An implicit rule with a recipe to build the tarballs correctly.
%.tar.gz: %
	$(TAR) -c -f - --posix -C "$(target_dir)/" "$(notdir $<)" | gzip -9n > "$@"

clean-tarballs:
	@echo "## Cleaning release tarballs (package + html)..."
	-$(RM) $(release_tarball) $(html_tarball)
	@echo

## Create the unpacked package.
##
## Notes:
##    * having ".hg/dirstate" (or ".git/index") as a prerequesite means it is
##      only rebuilt if we are at a different commit.
##    * the variable RM usually defaults to "rm -f"
##    * having this recipe separate from the one that makes the tarball
##      makes it easy to have packages in alternative formats (such as zip)
##    * note that if a commands needs to be run in a specific directory,
##      the command to "cd" needs to be on the same line.  Each line restores
##      the original working directory.
$(release_dir): $(release_dir_dep)
	-$(RM) -r "$@"
ifeq (${vcs},hg)
	hg archive --exclude ".hg*" --type files "$@"
endif
ifeq (${vcs},git)
	git archive --format=tar --prefix="$@/" HEAD | $(TAR) -x
	$(RM) "$@/.gitignore"
endif
## Don't fall back to run the supposed necessary contents of
## 'bootstrap' here. Users are better off if they provide
## 'bootstrap'. Administrators, checking build reproducibility, can
## put in the missing 'bootstrap' file if they feel they know its
## necessary contents.
ifneq (,$(wildcard src/bootstrap))
	cd "$@/src" && ./bootstrap && $(RM) -r "autom4te.cache"
endif
## Uncomment this if your src/Makefile.in has these targets for
## pre-building something for the release (e.g. documentation).
#	cd "$@/src" && ./configure && $(MAKE) prebuild && \
#	  $(MAKE) distclean && $(RM) Makefile
##
	${FIX_PERMISSIONS} "$@"

run_in_place = $(OCTAVE) --eval ' pkg ("local_list", "$(package_list)"); ' \
                         --eval ' pkg ("load", "$(package)"); '

html_options = --eval 'options = get_html_options ("octave-forge");'
## Uncomment this for package documentation.
# html_options = --eval 'options = get_html_options ("octave-forge");' \
#                --eval 'options.package_doc = "$(package).texi";'
$(html_dir): $(install_stamp)
	$(RM) -r "$@";
	$(run_in_place)                    \
        --eval ' pkg load generate_html; ' \
	$(html_options)                    \
        --eval ' generate_package_html ("$(package)", "$@", options); ';
	$(FIX_PERMISSIONS) "$@";

clean-unpacked-release:
	@echo "## Cleaning unpacked release tarballs (package + html)..."
	-$(RM) -r $(release_dir) $(html_dir)
	@echo

##
## Recipes for installing the package.
##

.PHONY: install clean-install

octave_install_commands = \
' llist_path = pkg ("local_list"); \
  mkdir ("$(installation_dir)"); \
  load (llist_path); \
  local_packages(cellfun (@ (x) strcmp ("$(package)", x.name), local_packages)) = []; \
  save ("$(package_list)", "local_packages"); \
  pkg ("local_list", "$(package_list)"); \
  pkg ("prefix", "$(installation_dir)", "$(installation_dir)"); \
  pkg ("install", "-local", "-verbose", "$(release_tarball)"); '

## Install unconditionally. Maybe useful for testing installation with
## different versions of Octave.
install: $(release_tarball)
	@echo "Installing package under $(installation_dir) ..."
	$(OCTAVE) --eval $(octave_install_commands)
	touch $(install_stamp)

## Install only if installation (under target/...) is not current.
$(install_stamp): $(release_tarball)
	@echo "Installing package under $(installation_dir) ..."
	$(OCTAVE) --eval $(octave_install_commands)
	touch $(install_stamp)

clean-install:
	@echo "## Cleaning installation under $(installation_dir) ..."
	-$(RM) -r $(installation_dir)
	@echo


##
## Recipes for testing purposes
##

.PHONY: run doctest check

## Start an Octave session with the package directories on the path for
## interactice test of development sources.
run: $(install_stamp)
	$(run_in_place) --persist

## Test example blocks in the documentation.  Needs doctest package
##  https://octave.sourceforge.io/doctest/index.html
doctest: $(install_stamp)
	$(run_in_place) --eval 'pkg load doctest;'                                                          \
	  --eval "targets = '$(shell (ls inst; ls src | $(GREP) .oct) | $(CUT) -f2 -d@ | $(CUT) -f1 -d.)';" \
	  --eval "targets = strsplit (targets, ' ');  doctest (targets);"


## Test package.
octave_test_commands = \
' dirs = {"inst", "src"}; \
  dirs(cellfun (@ (x) isempty (a = stat (x)) || ! S_ISDIR (a.mode), dirs)) = []; \
  if (isempty (dirs)) error ("no \"inst\" or \"src\" directory"); exit (1); \
  else \
    dirs = \
    cellfun (@ (x) canonicalize_file_name (x), dirs, "UniformOutput", false); \
    __run_test_suite__ (dirs, {}); \
  endif '
## the following works, too, but provides no overall summary output as
## __run_test_suite__ does:
##
##    else cellfun (@runtests, horzcat (cellfun (@ (dir) ostrsplit (([~, dirs] = system (sprintf ("find %s -type d", dir))), "\n\r", true), dirs, "UniformOutput", false){:})); endif '
check: $(install_stamp)
	$(run_in_place) --eval $(octave_test_commands)


##
## CLEAN
##

.PHONY: clean

clean: clean-tarballs clean-unpacked-release clean-install
	@echo "## Removing target directory (if empty)..."
	-rmdir $(target_dir)
	@echo
	@echo "## Cleaning done"
	@echo

=== src/Makefile ===
--- 
+++ 
@@ -1,8 +1,21 @@
 ####################################################
-# Copyright 2010,2011,2012,2016Alois Schloegl
+# Copyright 2010,2011,2012,2016,2019 Alois Schloegl
 # This is part of the TSA-toolbox - Time Series analysis toolbox
 # http://pub.ist.ac.at/~schloegl/matlab/tsa/
 ####################################################
+# This program is free software; you can redistribute it and/or modify it under
+# the terms of the GNU General Public License as published by the Free Software
+# Foundation; either version 3 of the License, or (at your option) any later
+# version.
+#
+# This program is distributed in the hope that it will be useful, but WITHOUT
+# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
+# FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License along with
+# this program; if not, write to the Free Software Foundation, Inc., 59 Temple
+# Place - Suite 330, Boston, MA  02111-1307, USA.
+
 
 ### modify directories according to your needs 
 
@@ -125,6 +138,4 @@
 
 %.mexw64: %.o64
 	$(CROSS64)$(CXX) -shared $(GNUMEX64)/mex.def -o "$@" -L$(GNUMEX64) -s "$<" -llibmx -llibmex -llibmat -lcholmod -lgomp -lpthread -L$(LDLIBS_W64) -lblas -llapack
-	
-

=== debian/changelog ===
octave-tsa (4.6.2-2) unstable; urgency=medium

  * d/control:
    + Bump Standards-Version to 4.5.0 (no changes needed)
    + Bump debhelper compatibility level to 13
  * d/u/metadata: New file
  * d/p/utf8-encoding.patch: New patch

 -- Rafael Laboissière <rafael@debian.org>  Fri, 31 Jul 2020 05:53:52 -0300

octave-tsa (4.6.2-1) unstable; urgency=medium

  * New upstream version 4.6.2
  * d/copyright: Reflect upstream changes

 -- Rafael Laboissiere <rafael@debian.org>  Sun, 10 Nov 2019 10:11:40 -0300

octave-tsa (4.4.5-5) unstable; urgency=medium

  * Team upload

  [ Rafael Laboissiere ]
  * d/control: Bump Standards-Version to 4.4.1 (no changes needed)

  [ Sébastien Villemot ]
  * debian/check.m: disable one of the tests in tsademo, it enters an infinite
    loop

 -- Sébastien Villemot <sebastien@debian.org>  Wed, 09 Oct 2019 11:06:17 +0200

octave-tsa (4.4.5-4) unstable; urgency=medium

  [ Mike Miller ]
  * d/control, d/copyright: Use secure URL for upstream source.

  [ Rafael Laboissiere ]
  * Migrate target get-orig.source into debian/watch
  * d/control:
    + Add Rules-Requires-Root: no
    + Bump Standards-Version to 4.3.0
    + Bump to debhelper compat level 12
  * Build-depend on debhelper-compat instead of using d/compat

 -- Rafael Laboissiere <rafael@debian.org>  Wed, 02 Jan 2019 22:58:08 -0200

=== debian/control ===
--- 
+++ 
@@ -2,14 +2,19 @@
 Section: math
 Priority: optional
 Maintainer: Debian Octave Group <team+pkg-octave-team@tracker.debian.org>
-Uploaders: Rafael Laboissiere <rafael@debian.org>
-Build-Depends: debhelper (>= 11), dh-octave,
-               xvfb, xauth, gnuplot-nox, octave-nan
-Standards-Version: 4.1.3
-Homepage: http://octave.sourceforge.net/tsa/
+Uploaders: Rafael Laboissière <rafael@debian.org>
+Build-Depends: debhelper-compat (= 13),
+               dh-octave,
+               gnuplot-nox,
+               octave-nan,
+               xauth,
+               xvfb
+Standards-Version: 4.5.0
+Homepage: https://octave.sourceforge.io/tsa/
 Vcs-Git: https://salsa.debian.org/pkg-octave-team/octave-tsa.git
 Vcs-Browser: https://salsa.debian.org/pkg-octave-team/octave-tsa
 Testsuite: autopkgtest-pkg-octave
+Rules-Requires-Root: no
 
 Package: octave-tsa
 Architecture: all

=== debian/watch ===
version=4
opts="repack,compression=xz,dversionmangle=s/[~+]dfsg[0-9]*//" \
  http://sf.net/octave/tsa-(.+)\.tar\.gz
